--- old/usr/src/uts/common/fs/ufs/ufs_vfsops.c	2014-07-28 07:44:21.554198244 -0400
+++ new/usr/src/uts/common/fs/ufs/ufs_vfsops.c	2014-07-28 07:44:21.560252680 -0400
@@ -599,7 +599,7 @@
 	 * synchronize w/ufs ioctls
 	 */
 	mutex_enter(&ulp->ul_lock);
-	atomic_add_long(&ufs_quiesce_pend, 1);
+	atomic_inc_ulong(&ufs_quiesce_pend);
 
 	/*
 	 * reset options
@@ -745,7 +745,7 @@
 	fsp->fs_fmod = 0;
 	fsp->fs_ronly = 0;
 
-	atomic_add_long(&ufs_quiesce_pend, -1);
+	atomic_dec_ulong(&ufs_quiesce_pend);
 	cv_broadcast(&ulp->ul_cv);
 	mutex_exit(&ulp->ul_lock);
 
@@ -774,7 +774,7 @@
 remounterr:
 	if (tpt)
 		brelse(tpt);
-	atomic_add_long(&ufs_quiesce_pend, -1);
+	atomic_dec_ulong(&ufs_quiesce_pend);
 	cv_broadcast(&ulp->ul_cv);
 	mutex_exit(&ulp->ul_lock);
 	return (error);
@@ -1421,7 +1421,7 @@
 		 * hard lock it before unmounting.
 		 */
 		if (!ULOCKFS_IS_HLOCK(ulp)) {
-			atomic_add_long(&ufs_quiesce_pend, 1);
+			atomic_inc_ulong(&ufs_quiesce_pend);
 			lockfs.lf_lock = LOCKFS_HLOCK;
 			lockfs.lf_flags = 0;
 			lockfs.lf_key = ulp->ul_lockfs.lf_key + 1;
@@ -1433,7 +1433,7 @@
 			(void) ufs_quiesce(ulp);
 			(void) ufs_flush(vfsp);
 			(void) ufs_thaw(vfsp, ufsvfsp, ulp);
-			atomic_add_long(&ufs_quiesce_pend, -1);
+			atomic_dec_ulong(&ufs_quiesce_pend);
 			ULOCKFS_CLR_BUSY(ulp);
 			LOCKFS_CLR_BUSY(&ulp->ul_lockfs);
 			poll_events |= POLLERR;
@@ -2153,7 +2153,7 @@
 	ulp = &ufsvfsp->vfs_ulockfs;
 
 	mutex_enter(&ulp->ul_lock);
-	atomic_add_long(&ufs_quiesce_pend, 1);
+	atomic_inc_ulong(&ufs_quiesce_pend);
 
 	(void) ufs_quiesce(ulp);
 	(void) ufs_flush(vfsp);
@@ -2278,7 +2278,7 @@
 	rootdev = new_rootdev;
 	rootvp = new_rootvp;
 
-	atomic_add_long(&ufs_quiesce_pend, -1);
+	atomic_dec_ulong(&ufs_quiesce_pend);
 	cv_broadcast(&ulp->ul_cv);
 	mutex_exit(&ulp->ul_lock);
 
--- old/usr/src/uts/common/fs/ufs/ufs_vnops.c	2014-07-28 07:44:21.798267087 -0400
+++ new/usr/src/uts/common/fs/ufs/ufs_vnops.c	2014-07-28 07:44:21.804464769 -0400
@@ -5976,11 +5976,11 @@
 			}
 			return (vmpss ? EIO : EINVAL);
 		}
-		atomic_add_long(&ulp->ul_vnops_cnt, 1);
+		atomic_inc_ulong(&ulp->ul_vnops_cnt);
 		if (pp == NULL)
 			mutex_exit(&ulp->ul_lock);
 		if (ufs_quiesce_pend) {
-			if (!atomic_add_long_nv(&ulp->ul_vnops_cnt, -1))
+			if (!atomic_dec_ulong_nv(&ulp->ul_vnops_cnt))
 				cv_broadcast(&ulp->ul_cv);
 			return (vmpss ? EIO : EINVAL);
 		}
@@ -5999,7 +5999,7 @@
 		if (!vmpss) {
 			rw_enter(&ip->i_contents, RW_READER);
 		} else if (!rw_tryenter(&ip->i_contents, RW_READER)) {
-			if (!atomic_add_long_nv(&ulp->ul_vnops_cnt, -1))
+			if (!atomic_dec_ulong_nv(&ulp->ul_vnops_cnt))
 				cv_broadcast(&ulp->ul_cv);
 			return (EDEADLK);
 		}
@@ -6012,7 +6012,7 @@
 	if (vmpss && btopr(io_off + io_len) > btopr(ip->i_size)) {
 		if (dolock)
 			rw_exit(&ip->i_contents);
-		if (!atomic_add_long_nv(&ulp->ul_vnops_cnt, -1))
+		if (!atomic_dec_ulong_nv(&ulp->ul_vnops_cnt))
 			cv_broadcast(&ulp->ul_cv);
 		return (EFAULT);
 	}
@@ -6025,7 +6025,7 @@
 		}
 		if (dolock)
 			rw_exit(&ip->i_contents);
-		if (!atomic_add_long_nv(&ulp->ul_vnops_cnt, -1))
+		if (!atomic_dec_ulong_nv(&ulp->ul_vnops_cnt))
 			cv_broadcast(&ulp->ul_cv);
 		return (err);
 	}
@@ -6132,7 +6132,7 @@
 
 	if (dolock)
 		rw_exit(&ip->i_contents);
-	if (vmpss && !atomic_add_long_nv(&ulp->ul_vnops_cnt, -1))
+	if (vmpss && !atomic_dec_ulong_nv(&ulp->ul_vnops_cnt))
 		cv_broadcast(&ulp->ul_cv);
 	return (err);
 }
--- old/usr/src/uts/common/fs/vfs.c	2014-07-28 07:44:22.179671324 -0400
+++ new/usr/src/uts/common/fs/vfs.c	2014-07-28 07:44:22.185621391 -0400
@@ -4331,7 +4331,7 @@
 void
 vfs_hold(vfs_t *vfsp)
 {
-	atomic_add_32(&vfsp->vfs_count, 1);
+	atomic_inc_32(&vfsp->vfs_count);
 	ASSERT(vfsp->vfs_count != 0);
 }
 
@@ -4344,7 +4344,7 @@
 vfs_rele(vfs_t *vfsp)
 {
 	ASSERT(vfsp->vfs_count != 0);
-	if (atomic_add_32_nv(&vfsp->vfs_count, -1) == 0) {
+	if (atomic_dec_32_nv(&vfsp->vfs_count) == 0) {
 		VFS_FREEVFS(vfsp);
 		lofi_remove(vfsp);
 		if (vfsp->vfs_zone)
--- old/usr/src/uts/common/fs/vnode.c	2014-07-28 07:44:22.492835496 -0400
+++ new/usr/src/uts/common/fs/vnode.c	2014-07-28 07:44:22.498949862 -0400
@@ -1244,9 +1244,9 @@
 	ASSERT(vp->v_type == VREG);
 
 	if (filemode & FREAD)
-		atomic_add_32(&(vp->v_rdcnt), 1);
+		atomic_inc_32(&vp->v_rdcnt);
 	if (filemode & FWRITE)
-		atomic_add_32(&(vp->v_wrcnt), 1);
+		atomic_inc_32(&vp->v_wrcnt);
 
 }
 
@@ -1259,11 +1259,11 @@
 
 	if (filemode & FREAD) {
 		ASSERT(vp->v_rdcnt > 0);
-		atomic_add_32(&(vp->v_rdcnt), -1);
+		atomic_dec_32(&vp->v_rdcnt);
 	}
 	if (filemode & FWRITE) {
 		ASSERT(vp->v_wrcnt > 0);
-		atomic_add_32(&(vp->v_wrcnt), -1);
+		atomic_dec_32(&vp->v_wrcnt);
 	}
 
 }
@@ -2918,7 +2918,7 @@
 {
 	static uint64_t next_caller_id = 0LL; /* First call returns 1 */
 
-	return ((u_longlong_t)atomic_add_64_nv(&next_caller_id, 1));
+	return ((u_longlong_t)atomic_inc_64_nv(&next_caller_id));
 }
 
 /*
@@ -3146,9 +3146,9 @@
 	 */
 	if ((*vpp)->v_type == VREG) {
 		if (mode & FREAD)
-			atomic_add_32(&((*vpp)->v_rdcnt), 1);
+			atomic_inc_32(&(*vpp)->v_rdcnt);
 		if (mode & FWRITE)
-			atomic_add_32(&((*vpp)->v_wrcnt), 1);
+			atomic_inc_32(&(*vpp)->v_wrcnt);
 	}
 
 	VOPXID_MAP_CR(vp, cr);
@@ -3162,9 +3162,9 @@
 		 */
 		VOPSTATS_UPDATE(vp, open);
 		if ((vp->v_type == VREG) && (mode & FREAD))
-			atomic_add_32(&(vp->v_rdcnt), -1);
+			atomic_dec_32(&vp->v_rdcnt);
 		if ((vp->v_type == VREG) && (mode & FWRITE))
-			atomic_add_32(&(vp->v_wrcnt), -1);
+			atomic_dec_32(&vp->v_wrcnt);
 	} else {
 		/*
 		 * Some filesystems will return a different vnode,
@@ -3178,13 +3178,13 @@
 		if (*vpp != vp && *vpp != NULL) {
 			vn_copypath(vp, *vpp);
 			if (((*vpp)->v_type == VREG) && (mode & FREAD))
-				atomic_add_32(&((*vpp)->v_rdcnt), 1);
+				atomic_inc_32(&(*vpp)->v_rdcnt);
 			if ((vp->v_type == VREG) && (mode & FREAD))
-				atomic_add_32(&(vp->v_rdcnt), -1);
+				atomic_dec_32(&vp->v_rdcnt);
 			if (((*vpp)->v_type == VREG) && (mode & FWRITE))
-				atomic_add_32(&((*vpp)->v_wrcnt), 1);
+				atomic_inc_32(&(*vpp)->v_wrcnt);
 			if ((vp->v_type == VREG) && (mode & FWRITE))
-				atomic_add_32(&(vp->v_wrcnt), -1);
+				atomic_dec_32(&vp->v_wrcnt);
 		}
 	}
 	VN_RELE(vp);
@@ -3213,11 +3213,11 @@
 	if ((vp->v_type == VREG) && (count == 1))  {
 		if (flag & FREAD) {
 			ASSERT(vp->v_rdcnt > 0);
-			atomic_add_32(&(vp->v_rdcnt), -1);
+			atomic_dec_32(&vp->v_rdcnt);
 		}
 		if (flag & FWRITE) {
 			ASSERT(vp->v_wrcnt > 0);
-			atomic_add_32(&(vp->v_wrcnt), -1);
+			atomic_dec_32(&vp->v_wrcnt);
 		}
 	}
 	return (err);
--- old/usr/src/uts/common/fs/zfs/dbuf.c	2014-07-28 07:44:22.803910322 -0400
+++ new/usr/src/uts/common/fs/zfs/dbuf.c	2014-07-28 07:44:22.809952778 -0400
@@ -175,7 +175,7 @@
 	db->db_hash_next = h->hash_table[idx];
 	h->hash_table[idx] = db;
 	mutex_exit(DBUF_HASH_MUTEX(h, idx));
-	atomic_add_64(&dbuf_hash_count, 1);
+	atomic_inc_64(&dbuf_hash_count);
 
 	return (NULL);
 }
@@ -210,7 +210,7 @@
 	*dbp = db->db_hash_next;
 	db->db_hash_next = NULL;
 	mutex_exit(DBUF_HASH_MUTEX(h, idx));
-	atomic_add_64(&dbuf_hash_count, -1);
+	atomic_dec_64(&dbuf_hash_count);
 }
 
 static arc_evict_func_t dbuf_do_evict;
--- old/usr/src/uts/common/fs/zfs/spa.c	2014-07-28 07:44:23.072489264 -0400
+++ new/usr/src/uts/common/fs/zfs/spa.c	2014-07-28 07:44:23.078698880 -0400
@@ -1823,9 +1823,9 @@
 	if (error) {
 		if ((BP_GET_LEVEL(bp) != 0 || DMU_OT_IS_METADATA(type)) &&
 		    type != DMU_OT_INTENT_LOG)
-			atomic_add_64(&sle->sle_meta_count, 1);
+			atomic_inc_64(&sle->sle_meta_count);
 		else
-			atomic_add_64(&sle->sle_data_count, 1);
+			atomic_inc_64(&sle->sle_data_count);
 	}
 	zio_data_buf_free(zio->io_data, zio->io_size);
 
--- old/usr/src/uts/common/fs/zfs/sys/refcount.h	2014-07-28 07:44:23.460772769 -0400
+++ new/usr/src/uts/common/fs/zfs/sys/refcount.h	2014-07-28 07:44:23.466744074 -0400
@@ -87,8 +87,8 @@
 #define	refcount_destroy_many(rc, number) ((rc)->rc_count = 0)
 #define	refcount_is_zero(rc) ((rc)->rc_count == 0)
 #define	refcount_count(rc) ((rc)->rc_count)
-#define	refcount_add(rc, holder) atomic_add_64_nv(&(rc)->rc_count, 1)
-#define	refcount_remove(rc, holder) atomic_add_64_nv(&(rc)->rc_count, -1)
+#define	refcount_add(rc, holder) atomic_inc_64_nv(&(rc)->rc_count)
+#define	refcount_remove(rc, holder) atomic_dec_64_nv(&(rc)->rc_count)
 #define	refcount_add_many(rc, number, holder) \
 	atomic_add_64_nv(&(rc)->rc_count, number)
 #define	refcount_remove_many(rc, number, holder) \
--- old/usr/src/uts/common/fs/zfs/vdev_cache.c	2014-07-28 07:44:23.626436048 -0400
+++ new/usr/src/uts/common/fs/zfs/vdev_cache.c	2014-07-28 07:44:23.632570131 -0400
@@ -102,7 +102,7 @@
 	{ "misses",		KSTAT_DATA_UINT64 }
 };
 
-#define	VDCSTAT_BUMP(stat)	atomic_add_64(&vdc_stats.stat.value.ui64, 1);
+#define	VDCSTAT_BUMP(stat)	atomic_inc_64(&vdc_stats.stat.value.ui64);
 
 static int
 vdev_cache_offset_compare(const void *a1, const void *a2)
--- old/usr/src/uts/common/fs/zfs/vdev_label.c	2014-07-28 07:44:23.801256254 -0400
+++ new/usr/src/uts/common/fs/zfs/vdev_label.c	2014-07-28 07:44:23.807402647 -0400
@@ -976,7 +976,7 @@
 	uint64_t *good_writes = zio->io_private;
 
 	if (zio->io_error == 0 && zio->io_vd->vdev_top->vdev_ms_array != 0)
-		atomic_add_64(good_writes, 1);
+		atomic_inc_64(good_writes);
 }
 
 /*
@@ -1051,7 +1051,7 @@
 	uint64_t *good_writes = zio->io_private;
 
 	if (zio->io_error == 0)
-		atomic_add_64(good_writes, 1);
+		atomic_inc_64(good_writes);
 }
 
 /*
--- old/usr/src/uts/common/fs/zfs/zfs_vfsops.c	2014-07-28 07:44:24.003212625 -0400
+++ new/usr/src/uts/common/fs/zfs/zfs_vfsops.c	2014-07-28 07:44:24.009231972 -0400
@@ -1240,7 +1240,7 @@
 		dmu_objset_disown(zfsvfs->z_os, zfsvfs);
 		zfsvfs_free(zfsvfs);
 	} else {
-		atomic_add_32(&zfs_active_fs_count, 1);
+		atomic_inc_32(&zfs_active_fs_count);
 	}
 
 	return (error);
@@ -2158,7 +2158,7 @@
 
 	zfsvfs_free(zfsvfs);
 
-	atomic_add_32(&zfs_active_fs_count, -1);
+	atomic_dec_32(&zfs_active_fs_count);
 }
 
 /*
--- old/usr/src/uts/common/fs/zfs/zio_inject.c	2014-07-28 07:44:24.252565762 -0400
+++ new/usr/src/uts/common/fs/zfs/zio_inject.c	2014-07-28 07:44:24.258380392 -0400
@@ -426,7 +426,7 @@
 		handler->zi_spa = spa;
 		handler->zi_record = *record;
 		list_insert_tail(&inject_handlers, handler);
-		atomic_add_32(&zio_injection_enabled, 1);
+		atomic_inc_32(&zio_injection_enabled);
 
 		rw_exit(&inject_lock);
 	}
@@ -503,7 +503,7 @@
 
 	spa_inject_delref(handler->zi_spa);
 	kmem_free(handler, sizeof (inject_handler_t));
-	atomic_add_32(&zio_injection_enabled, -1);
+	atomic_dec_32(&zio_injection_enabled);
 
 	return (0);
 }
--- old/usr/src/uts/common/inet/ilb/ilb.c	2014-07-28 07:44:24.428517636 -0400
+++ new/usr/src/uts/common/inet/ilb/ilb.c	2014-07-28 07:44:24.434527120 -0400
@@ -638,7 +638,7 @@
 	/* ir_name is all 0 to begin with */
 	(void) memcpy(rule->ir_name, cmd->name, ILB_RULE_NAMESZ - 1);
 
-	rule->ir_ks_instance = atomic_add_int_nv(&ilb_kstat_instance, 1);
+	rule->ir_ks_instance = atomic_inc_uint_nv(&ilb_kstat_instance);
 	stackid = (netstackid_t)(uintptr_t)ilbs->ilbs_ksp->ks_private;
 	if ((rule->ir_ksp = ilb_rule_kstat_init(stackid, rule)) == NULL) {
 		ret = ENOMEM;
--- old/usr/src/uts/common/inet/ilb/ilb_nat.c	2014-07-28 07:44:24.663964350 -0400
+++ new/usr/src/uts/common/inet/ilb/ilb_nat.c	2014-07-28 07:44:24.669864573 -0400
@@ -236,7 +236,7 @@
 	tmp->nse_refcnt = 1;
 
 	(void) snprintf(arena_name, ARENA_NAMESZ, "ilb_ns_%u",
-	    atomic_add_32_nv(&ilb_nat_src_instance, 1));
+	    atomic_inc_32_nv(&ilb_nat_src_instance));
 	if ((tmp->nse_port_arena = vmem_create(arena_name,
 	    (void *)NAT_PORT_START, NAT_PORT_SIZE, 1, NULL, NULL, NULL, 1,
 	    VM_SLEEP | VMC_IDENTIFIER)) == NULL) {
--- old/usr/src/uts/common/inet/ip.h	2014-07-28 07:44:24.846483207 -0400
+++ new/usr/src/uts/common/inet/ip.h	2014-07-28 07:44:24.852602692 -0400
@@ -720,14 +720,14 @@
 } ipsec_latch_t;
 
 #define	IPLATCH_REFHOLD(ipl) { \
-	atomic_add_32(&(ipl)->ipl_refcnt, 1);		\
+	atomic_inc_32(&(ipl)->ipl_refcnt);		\
 	ASSERT((ipl)->ipl_refcnt != 0);			\
 }
 
 #define	IPLATCH_REFRELE(ipl) {				\
 	ASSERT((ipl)->ipl_refcnt != 0);				\
 	membar_exit();						\
-	if (atomic_add_32_nv(&(ipl)->ipl_refcnt, -1) == 0)	\
+	if (atomic_dec_32_nv(&(ipl)->ipl_refcnt) == 0)	\
 		iplatch_free(ipl);				\
 }
 
--- old/usr/src/uts/common/inet/ip/igmp.c	2014-07-28 07:44:25.150503943 -0400
+++ new/usr/src/uts/common/inet/ip/igmp.c	2014-07-28 07:44:25.156593319 -0400
@@ -508,7 +508,7 @@
 		if (ill->ill_mcast_type != IGMP_V1_ROUTER) {
 			ip1dbg(("Received IGMPv1 Query on %s, switching mode "
 			    "to IGMP_V1_ROUTER\n", ill->ill_name));
-			atomic_add_16(&ill->ill_ifptr->illif_mcast_v1, 1);
+			atomic_inc_16(&ill->ill_ifptr->illif_mcast_v1);
 			ill->ill_mcast_type = IGMP_V1_ROUTER;
 		}
 
@@ -545,7 +545,7 @@
 		if (ill->ill_mcast_type == IGMP_V3_ROUTER) {
 			ip1dbg(("Received IGMPv2 Query on %s, switching mode "
 			    "to IGMP_V2_ROUTER", ill->ill_name));
-			atomic_add_16(&ill->ill_ifptr->illif_mcast_v2, 1);
+			atomic_inc_16(&ill->ill_ifptr->illif_mcast_v2);
 			ill->ill_mcast_type = IGMP_V2_ROUTER;
 		}
 		ill->ill_mcast_v2_time = 0;
@@ -1716,7 +1716,7 @@
 				}
 				ill->ill_mcast_v1_time = 0;
 				ill->ill_mcast_v1_tset = 0;
-				atomic_add_16(&ifp->illif_mcast_v1, -1);
+				atomic_dec_16(&ifp->illif_mcast_v1);
 			}
 			if ((ill->ill_mcast_type == IGMP_V2_ROUTER) &&
 			    (ipst->ips_igmp_max_version >= IGMP_V3_ROUTER) &&
@@ -1727,7 +1727,7 @@
 				ill->ill_mcast_type = IGMP_V3_ROUTER;
 				ill->ill_mcast_v2_time = 0;
 				ill->ill_mcast_v2_tset = 0;
-				atomic_add_16(&ifp->illif_mcast_v2, -1);
+				atomic_dec_16(&ifp->illif_mcast_v2);
 			}
 			rw_exit(&ill->ill_mcast_lock);
 			ill_refrele(ill);
@@ -1786,7 +1786,7 @@
 				ill->ill_mcast_type = MLD_V2_ROUTER;
 				ill->ill_mcast_v1_time = 0;
 				ill->ill_mcast_v1_tset = 0;
-				atomic_add_16(&ifp->illif_mcast_v1, -1);
+				atomic_dec_16(&ifp->illif_mcast_v1);
 			}
 			rw_exit(&ill->ill_mcast_lock);
 			ill_refrele(ill);
@@ -2216,7 +2216,7 @@
 	if (ill->ill_mcast_type == MLD_V2_ROUTER) {
 		ip1dbg(("Received MLDv1 Query on %s, switching mode to "
 		    "MLD_V1_ROUTER\n", ill->ill_name));
-		atomic_add_16(&ill->ill_ifptr->illif_mcast_v1, 1);
+		atomic_inc_16(&ill->ill_ifptr->illif_mcast_v1);
 		ill->ill_mcast_type = MLD_V1_ROUTER;
 	}
 
--- old/usr/src/uts/common/inet/ip/ip_attr.c	2014-07-28 07:44:25.422859191 -0400
+++ new/usr/src/uts/common/inet/ip/ip_attr.c	2014-07-28 07:44:25.428787967 -0400
@@ -100,14 +100,14 @@
  */
 #define	IXA_REFRELE(ixa)					\
 {								\
-	if (atomic_add_32_nv(&(ixa)->ixa_refcnt, -1) == 0)	\
+	if (atomic_dec_32_nv(&(ixa)->ixa_refcnt) == 0)	\
 		ixa_inactive(ixa);				\
 }
 
 #define	IXA_REFHOLD(ixa)					\
 {								\
 	ASSERT((ixa)->ixa_refcnt != 0);				\
-	atomic_add_32(&(ixa)->ixa_refcnt, 1);			\
+	atomic_inc_32(&(ixa)->ixa_refcnt);			\
 }
 
 /*
@@ -754,7 +754,7 @@
 
 	/* At least one references for the conn_t */
 	ASSERT(ixa->ixa_refcnt >= 1);
-	if (atomic_add_32_nv(&ixa->ixa_refcnt, 1) == 2) {
+	if (atomic_inc_32_nv(&ixa->ixa_refcnt) == 2) {
 		/* No other thread using conn_ixa */
 		mutex_exit(&connp->conn_lock);
 		return (ixa);
@@ -856,7 +856,7 @@
 	ASSERT(ixa->ixa_refcnt >= 1);
 
 	/* Make sure conn_ixa doesn't disappear while we copy it */
-	atomic_add_32(&ixa->ixa_refcnt, 1);
+	atomic_inc_32(&ixa->ixa_refcnt);
 
 	ixa = kmem_alloc(sizeof (*ixa), KM_NOSLEEP);
 	if (ixa == NULL) {
--- old/usr/src/uts/common/inet/ip/ip_dce.c	2014-07-28 07:44:25.637703945 -0400
+++ new/usr/src/uts/common/inet/ip/ip_dce.c	2014-07-28 07:44:25.643681696 -0400
@@ -532,7 +532,7 @@
 	dce->dce_ptpn = &dcb->dcb_dce;
 	dcb->dcb_dce = dce;
 	dce->dce_bucket = dcb;
-	atomic_add_32(&dcb->dcb_cnt, 1);
+	atomic_inc_32(&dcb->dcb_cnt);
 	dce_refhold(dce);	/* For the caller */
 	rw_exit(&dcb->dcb_lock);
 
@@ -604,7 +604,7 @@
 	dce->dce_ptpn = &dcb->dcb_dce;
 	dcb->dcb_dce = dce;
 	dce->dce_bucket = dcb;
-	atomic_add_32(&dcb->dcb_cnt, 1);
+	atomic_inc_32(&dcb->dcb_cnt);
 	dce_refhold(dce);	/* For the caller */
 	rw_exit(&dcb->dcb_lock);
 
@@ -731,7 +731,7 @@
 	dce->dce_generation = DCE_GENERATION_CONDEMNED;
 	mutex_exit(&dce->dce_lock);
 	/* Count how many condemned dces for kmem_cache callback */
-	atomic_add_32(&ipst->ips_num_dce_condemned, 1);
+	atomic_inc_32(&ipst->ips_num_dce_condemned);
 }
 
 /*
@@ -793,7 +793,7 @@
 		dce->dce_next->dce_ptpn = dce->dce_ptpn;
 	dce->dce_ptpn = NULL;
 	dce->dce_next = NULL;
-	atomic_add_32(&dcb->dcb_cnt, -1);
+	atomic_dec_32(&dcb->dcb_cnt);
 	dce_make_condemned(dce);
 }
 
@@ -808,7 +808,7 @@
 
 	/* Count how many condemned dces for kmem_cache callback */
 	if (DCE_IS_CONDEMNED(dce))
-		atomic_add_32(&ipst->ips_num_dce_condemned, -1);
+		atomic_dec_32(&ipst->ips_num_dce_condemned);
 
 	kmem_cache_free(dce_cache, dce);
 }
@@ -817,14 +817,14 @@
 dce_refrele(dce_t *dce)
 {
 	ASSERT(dce->dce_refcnt != 0);
-	if (atomic_add_32_nv(&dce->dce_refcnt, -1) == 0)
+	if (atomic_dec_32_nv(&dce->dce_refcnt) == 0)
 		dce_inactive(dce);
 }
 
 void
 dce_refhold(dce_t *dce)
 {
-	atomic_add_32(&dce->dce_refcnt, 1);
+	atomic_inc_32(&dce->dce_refcnt);
 	ASSERT(dce->dce_refcnt != 0);
 }
 
@@ -833,14 +833,14 @@
 dce_refrele_notr(dce_t *dce)
 {
 	ASSERT(dce->dce_refcnt != 0);
-	if (atomic_add_32_nv(&dce->dce_refcnt, -1) == 0)
+	if (atomic_dec_32_nv(&dce->dce_refcnt) == 0)
 		dce_inactive(dce);
 }
 
 void
 dce_refhold_notr(dce_t *dce)
 {
-	atomic_add_32(&dce->dce_refcnt, 1);
+	atomic_inc_32(&dce->dce_refcnt);
 	ASSERT(dce->dce_refcnt != 0);
 }
 
--- old/usr/src/uts/common/inet/ip/ip_if.c	2014-07-28 07:44:25.836518410 -0400
+++ new/usr/src/uts/common/inet/ip/ip_if.c	2014-07-28 07:44:25.843266840 -0400
@@ -11776,7 +11776,7 @@
 {
 	ip_stack_t	*ipst = ipif->ipif_ill->ill_ipst;
 
-	ipif->ipif_seqid = atomic_add_64_nv(&ipst->ips_ipif_g_seqid, 1);
+	ipif->ipif_seqid = atomic_inc_64_nv(&ipst->ips_ipif_g_seqid);
 }
 
 /*
@@ -12449,9 +12449,9 @@
 ip_update_source_selection(ip_stack_t *ipst)
 {
 	/* We skip past SRC_GENERATION_VERIFY */
-	if (atomic_add_32_nv(&ipst->ips_src_generation, 1) ==
+	if (atomic_inc_32_nv(&ipst->ips_src_generation) ==
 	    SRC_GENERATION_VERIFY)
-		atomic_add_32(&ipst->ips_src_generation, 1);
+		atomic_inc_32(&ipst->ips_src_generation);
 }
 
 /*
--- old/usr/src/uts/common/inet/ip/ip_ire.c	2014-07-28 07:44:26.658127940 -0400
+++ new/usr/src/uts/common/inet/ip/ip_ire.c	2014-07-28 07:44:26.664053097 -0400
@@ -333,7 +333,7 @@
 void
 ire_refhold(ire_t *ire)
 {
-	atomic_add_32(&(ire)->ire_refcnt, 1);
+	atomic_inc_32(&(ire)->ire_refcnt);
 	ASSERT((ire)->ire_refcnt != 0);
 #ifdef DEBUG
 	ire_trace_ref(ire);
@@ -343,7 +343,7 @@
 void
 ire_refhold_notr(ire_t *ire)
 {
-	atomic_add_32(&(ire)->ire_refcnt, 1);
+	atomic_inc_32(&(ire)->ire_refcnt);
 	ASSERT((ire)->ire_refcnt != 0);
 }
 
@@ -379,7 +379,7 @@
 #endif
 	ASSERT((ire)->ire_refcnt != 0);
 	membar_exit();
-	if (atomic_add_32_nv(&(ire)->ire_refcnt, -1) == 0)
+	if (atomic_dec_32_nv(&(ire)->ire_refcnt) == 0)
 		ire_inactive(ire);
 }
 
@@ -388,7 +388,7 @@
 {
 	ASSERT((ire)->ire_refcnt != 0);
 	membar_exit();
-	if (atomic_add_32_nv(&(ire)->ire_refcnt, -1) == 0)
+	if (atomic_dec_32_nv(&(ire)->ire_refcnt) == 0)
 		ire_inactive(ire);
 }
 
@@ -1272,7 +1272,7 @@
 			 * an identical_ref, but with an ire_ref held.
 			 */
 			if (ire->ire_type != IRE_IF_CLONE) {
-				atomic_add_32(&ire1->ire_identical_ref, 1);
+				atomic_inc_32(&ire1->ire_identical_ref);
 				DTRACE_PROBE2(ire__add__exist, ire_t *, ire1,
 				    ire_t *, ire);
 			}
@@ -1533,7 +1533,7 @@
 	if (!IRE_IS_CONDEMNED(ire)) {
 		/* Is this an IRE representing multiple duplicate entries? */
 		ASSERT(ire->ire_identical_ref >= 1);
-		if (atomic_add_32_nv(&ire->ire_identical_ref, -1) != 0) {
+		if (atomic_dec_32_nv(&ire->ire_identical_ref) != 0) {
 			/* Removed one of the identical parties */
 			rw_exit(&irb->irb_lock);
 			return;
@@ -2618,7 +2618,7 @@
 	ASSERT(!IRE_IS_CONDEMNED(ire));
 	ire->ire_generation = IRE_GENERATION_CONDEMNED;
 	/* Count how many condemned ires for kmem_cache callback */
-	atomic_add_32(&ipst->ips_num_ire_condemned, 1);
+	atomic_inc_32(&ipst->ips_num_ire_condemned);
 	nce = ire->ire_nce_cache;
 	ire->ire_nce_cache = NULL;
 	mutex_exit(&ire->ire_lock);
--- old/usr/src/uts/common/inet/ip/ip_ndp.c	2014-07-28 07:44:26.947263122 -0400
+++ new/usr/src/uts/common/inet/ip/ip_ndp.c	2014-07-28 07:44:26.953381970 -0400
@@ -479,7 +479,7 @@
 	mutex_exit(&ncec->ncec_lock);
 
 	/* Count how many condemned ires for kmem_cache callback */
-	atomic_add_32(&ipst->ips_num_nce_condemned, 1);
+	atomic_inc_32(&ipst->ips_num_nce_condemned);
 	nce_fastpath_list_delete(ncec->ncec_ill, ncec, NULL);
 
 	/* Complete any waiting callbacks */
--- old/usr/src/uts/common/inet/ip/ip_output.c	2014-07-28 07:44:27.293580067 -0400
+++ new/usr/src/uts/common/inet/ip/ip_output.c	2014-07-28 07:44:27.299653754 -0400
@@ -1558,7 +1558,7 @@
 	boolean_t	dummy;
 
 	/* We assign an IP ident for nice errors */
-	ipha->ipha_ident = atomic_add_32_nv(identp, 1);
+	ipha->ipha_ident = atomic_inc_32_nv(identp);
 
 	BUMP_MIB(&ipst->ips_ip_mib, ipIfStatsOutNoRoutes);
 
--- old/usr/src/uts/common/inet/ip/ipsecah.c	2014-07-28 07:44:27.545002193 -0400
+++ new/usr/src/uts/common/inet/ip/ipsecah.c	2014-07-28 07:44:27.551084094 -0400
@@ -2574,7 +2574,7 @@
 		phdr_ah->ah_spi = assoc->ipsa_spi;
 
 		phdr_ah->ah_replay =
-		    htonl(atomic_add_32_nv(&assoc->ipsa_replay, 1));
+		    htonl(atomic_inc_32_nv(&assoc->ipsa_replay));
 		if (phdr_ah->ah_replay == 0 && assoc->ipsa_replay_wsize != 0) {
 			/*
 			 * XXX We have replay counter wrapping.  We probably
--- old/usr/src/uts/common/inet/ip/ipsecesp.c	2014-07-28 07:44:27.838131441 -0400
+++ new/usr/src/uts/common/inet/ip/ipsecesp.c	2014-07-28 07:44:27.844232184 -0400
@@ -2818,7 +2818,7 @@
 
 	esph_ptr->esph_spi = assoc->ipsa_spi;
 
-	esph_ptr->esph_replay = htonl(atomic_add_32_nv(&assoc->ipsa_replay, 1));
+	esph_ptr->esph_replay = htonl(atomic_inc_32_nv(&assoc->ipsa_replay));
 	if (esph_ptr->esph_replay == 0 && assoc->ipsa_replay_wsize != 0) {
 		/*
 		 * XXX We have replay counter wrapping.
--- old/usr/src/uts/common/inet/ip/keysock.c	2014-07-28 07:44:28.140034803 -0400
+++ new/usr/src/uts/common/inet/ip/keysock.c	2014-07-28 07:44:28.146127638 -0400
@@ -537,7 +537,7 @@
 		ks3dbg(keystack,
 		    ("Driver close, PF_KEY socket is going away.\n"));
 		if ((ks->keysock_flags & KEYSOCK_EXTENDED) != 0)
-			atomic_add_32(&keystack->keystack_num_extended, -1);
+			atomic_dec_32(&keystack->keystack_num_extended);
 		size = sizeof (keysock_t);
 		mutex_enter(&keystack->keystack_list_lock);
 		*(ks->keysock_ptpn) = ks->keysock_next;
@@ -1565,7 +1565,7 @@
 	/*
 	 * Set global to indicate we prefer an extended ACQUIRE.
 	 */
-	atomic_add_32(&keystack->keystack_num_extended, 1);
+	atomic_inc_32(&keystack->keystack_num_extended);
 }
 
 static void
@@ -2335,8 +2335,8 @@
 			 * the last one, send up the end-of-{FLUSH,DUMP} to
 			 * the appropriate PF_KEY socket.
 			 */
-			if (atomic_add_32_nv(&keystack->keystack_flushdump,
-			    -1) != 0) {
+			if (atomic_dec_32_nv(&keystack->keystack_flushdump) !=
+			    0) {
 				ks1dbg(keystack,
 				    ("One flush/dump message back from %d,"
 				    " more to go.\n", samsg->sadb_msg_satype));
@@ -2382,5 +2382,5 @@
 {
 	keysock_stack_t	*keystack = ns->netstack_keysock;
 
-	return (atomic_add_32_nv(&keystack->keystack_acquire_seq, -1));
+	return (atomic_dec_32_nv(&keystack->keystack_acquire_seq));
 }
--- old/usr/src/uts/common/inet/ip/spd.c	2014-07-28 07:44:28.385733893 -0400
+++ new/usr/src/uts/common/inet/ip/spd.c	2014-07-28 07:44:28.391905089 -0400
@@ -3263,7 +3263,7 @@
 		if (ap == NULL)
 			break;
 		membar_exit();
-		if (atomic_add_32_nv(&(ap)->ipa_refs, -1) != 0)
+		if (atomic_dec_32_nv(&(ap)->ipa_refs) != 0)
 			break;
 		/* End inlined IPACT_REFRELE */
 	}
--- old/usr/src/uts/common/inet/ip_ire.h	2014-07-28 07:44:28.782473359 -0400
+++ new/usr/src/uts/common/inet/ip_ire.h	2014-07-28 07:44:28.788344698 -0400
@@ -102,7 +102,7 @@
  * We use atomics so that we get an accurate accounting on the ires.
  * Otherwise we can't determine leaks correctly.
  */
-#define	BUMP_IRE_STATS(ire_stats, x) atomic_add_64(&(ire_stats).x, 1)
+#define	BUMP_IRE_STATS(ire_stats, x) atomic_inc_64(&(ire_stats).x)
 
 #ifdef _KERNEL
 struct ts_label_s;
--- old/usr/src/uts/common/inet/ipf/netinet/ip_compat.h	2014-07-28 07:44:28.958909721 -0400
+++ new/usr/src/uts/common/inet/ipf/netinet/ip_compat.h	2014-07-28 07:44:28.964917733 -0400
@@ -240,18 +240,18 @@
 #  endif /* SOLARIS2 >= 10 */
 #  if SOLARIS2 >= 6
 #   if SOLARIS2 == 6
-#    define	ATOMIC_INCL(x)		atomic_add_long((uint32_t*)&(x), 1)
-#    define	ATOMIC_DECL(x)		atomic_add_long((uint32_t*)&(x), -1)
+#    define	ATOMIC_INCL(x)		atomic_inc_ulong((uint32_t *)&(x))
+#    define	ATOMIC_DECL(x)		atomic_dec_ulong((uint32_t *)&(x))
 #   else
-#    define	ATOMIC_INCL(x)		atomic_add_long(&(x), 1)
-#    define	ATOMIC_DECL(x)		atomic_add_long(&(x), -1)
+#    define	ATOMIC_INCL(x)		atomic_inc_ulong(&(x))
+#    define	ATOMIC_DECL(x)		atomic_dec_ulong(&(x))
 #   endif /* SOLARIS2 == 6 */
-#   define	ATOMIC_INC64(x)		atomic_add_64((uint64_t*)&(x), 1)
-#   define	ATOMIC_INC32(x)		atomic_add_32((uint32_t*)&(x), 1)
-#   define	ATOMIC_INC16(x)		atomic_add_16((uint16_t*)&(x), 1)
-#   define	ATOMIC_DEC64(x)		atomic_add_64((uint64_t*)&(x), -1)
-#   define	ATOMIC_DEC32(x)		atomic_add_32((uint32_t*)&(x), -1)
-#   define	ATOMIC_DEC16(x)		atomic_add_16((uint16_t*)&(x), -1)
+#   define	ATOMIC_INC64(x)		atomic_inc_64((uint64_t *)&(x))
+#   define	ATOMIC_INC32(x)		atomic_inc_32((uint32_t *)&(x))
+#   define	ATOMIC_INC16(x)		atomic_inc_16((uint16_t *)&(x))
+#   define	ATOMIC_DEC64(x)		atomic_dec_64((uint64_t *)&(x))
+#   define	ATOMIC_DEC32(x)		atomic_dec_32((uint32_t *)&(x))
+#   define	ATOMIC_DEC16(x)		atomic_dec_16((uint16_t *)&(x))
 #  else
 #   define	ATOMIC_INC(x)		{ mutex_enter(&ipf_rw); (x)++; \
 					  mutex_exit(&ipf_rw); }
@@ -925,14 +925,14 @@
 					  mtx_unlock(&ipf_rw.ipf_lk); }
 #   define	ATOMIC_DEC(x)		{ mtx_lock(&ipf_rw.ipf_lk); (x)--; \
 					  mtx_unlock(&ipf_rw.ipf_lk); }
-#   define	ATOMIC_INCL(x)		atomic_add_long(&(x), 1)
+#   define	ATOMIC_INCL(x)		atomic_inc_ulong(&(x))
 #   define	ATOMIC_INC64(x)		ATOMIC_INC(x)
-#   define	ATOMIC_INC32(x)		atomic_add_32(&(x), 1)
-#   define	ATOMIC_INC16(x)		atomic_add_16(&(x), 1)
-#   define	ATOMIC_DECL(x)		atomic_add_long(&(x), -1)
+#   define	ATOMIC_INC32(x)		atomic_inc_32(&(x))
+#   define	ATOMIC_INC16(x)		atomic_inc_16(&(x))
+#   define	ATOMIC_DECL(x)		atomic_dec_ulong(&(x))
 #   define	ATOMIC_DEC64(x)		ATOMIC_DEC(x)
-#   define	ATOMIC_DEC32(x)		atomic_add_32(&(x), -1)
-#   define	ATOMIC_DEC16(x)		atomic_add_16(&(x), -1)
+#   define	ATOMIC_DEC32(x)		atomic_dec_32(&(x))
+#   define	ATOMIC_DEC16(x)		atomic_dec_16(&(x))
 #   define	SPL_X(x)	;
 #   define	SPL_NET(x)	;
 #   define	SPL_IMP(x)	;
--- old/usr/src/uts/common/inet/ipsec_impl.h	2014-07-28 07:44:29.223632083 -0400
+++ new/usr/src/uts/common/inet/ipsec_impl.h	2014-07-28 07:44:29.229556931 -0400
@@ -298,13 +298,13 @@
 } ipsec_action_t;
 
 #define	IPACT_REFHOLD(ipa) {			\
-	atomic_add_32(&(ipa)->ipa_refs, 1);	\
+	atomic_inc_32(&(ipa)->ipa_refs);	\
 	ASSERT((ipa)->ipa_refs != 0);	\
 }
 #define	IPACT_REFRELE(ipa) {					\
 	ASSERT((ipa)->ipa_refs != 0);				\
 	membar_exit();						\
-	if (atomic_add_32_nv(&(ipa)->ipa_refs, -1) == 0)	\
+	if (atomic_dec_32_nv(&(ipa)->ipa_refs) == 0)	\
 		ipsec_action_free(ipa);				\
 	(ipa) = 0;						\
 }
@@ -414,13 +414,13 @@
 };
 
 #define	IPPOL_REFHOLD(ipp) {			\
-	atomic_add_32(&(ipp)->ipsp_refs, 1);	\
+	atomic_inc_32(&(ipp)->ipsp_refs);	\
 	ASSERT((ipp)->ipsp_refs != 0);		\
 }
 #define	IPPOL_REFRELE(ipp) {					\
 	ASSERT((ipp)->ipsp_refs != 0);				\
 	membar_exit();						\
-	if (atomic_add_32_nv(&(ipp)->ipsp_refs, -1) == 0)	\
+	if (atomic_dec_32_nv(&(ipp)->ipsp_refs) == 0)	\
 		ipsec_policy_free(ipp);				\
 	(ipp) = 0;						\
 }
@@ -461,13 +461,13 @@
 } ipsec_policy_head_t;
 
 #define	IPPH_REFHOLD(iph) {			\
-	atomic_add_32(&(iph)->iph_refs, 1);	\
+	atomic_inc_32(&(iph)->iph_refs);	\
 	ASSERT((iph)->iph_refs != 0);		\
 }
 #define	IPPH_REFRELE(iph, ns) {					\
 	ASSERT((iph)->iph_refs != 0);				\
 	membar_exit();						\
-	if (atomic_add_32_nv(&(iph)->iph_refs, -1) == 0)	\
+	if (atomic_dec_32_nv(&(iph)->iph_refs) == 0)	\
 		ipsec_polhead_free(iph, ns);			\
 	(iph) = 0;						\
 }
@@ -548,14 +548,14 @@
 	ITPF_I_PER_PORT_SECURITY))
 
 #define	ITP_REFHOLD(itp) { \
-	atomic_add_32(&((itp)->itp_refcnt), 1);	\
+	atomic_inc_32(&((itp)->itp_refcnt));	\
 	ASSERT((itp)->itp_refcnt != 0); \
 }
 
 #define	ITP_REFRELE(itp, ns) { \
 	ASSERT((itp)->itp_refcnt != 0); \
 	membar_exit(); \
-	if (atomic_add_32_nv(&((itp)->itp_refcnt), -1) == 0) \
+	if (atomic_dec_32_nv(&((itp)->itp_refcnt)) == 0) \
 		itp_free(itp, ns); \
 }
 
@@ -577,7 +577,7 @@
  */
 
 #define	IPSID_REFHOLD(ipsid) {			\
-	atomic_add_32(&(ipsid)->ipsid_refcnt, 1);	\
+	atomic_inc_32(&(ipsid)->ipsid_refcnt);	\
 	ASSERT((ipsid)->ipsid_refcnt != 0);	\
 }
 
@@ -588,7 +588,7 @@
 
 #define	IPSID_REFRELE(ipsid) {					\
 	membar_exit();						\
-	atomic_add_32(&(ipsid)->ipsid_refcnt, -1);		\
+	atomic_dec_32(&(ipsid)->ipsid_refcnt);		\
 }
 
 /*
--- old/usr/src/uts/common/inet/kssl/ksslimpl.h	2014-07-28 07:44:29.418833656 -0400
+++ new/usr/src/uts/common/inet/kssl/ksslimpl.h	2014-07-28 07:44:29.425153832 -0400
@@ -123,14 +123,14 @@
 } mech_to_cipher_t;
 
 #define	KSSL_ENTRY_REFHOLD(kssl_entry) {				\
-	atomic_add_32(&(kssl_entry)->ke_refcnt, 1);			\
+	atomic_inc_32(&(kssl_entry)->ke_refcnt);			\
 	ASSERT((kssl_entry)->ke_refcnt != 0);				\
 }
 
 #define	KSSL_ENTRY_REFRELE(kssl_entry) {				\
 	ASSERT((kssl_entry)->ke_refcnt != 0);				\
 	membar_exit();							\
-	if (atomic_add_32_nv(&(kssl_entry)->ke_refcnt, -1) == 0) {	\
+	if (atomic_dec_32_nv(&(kssl_entry)->ke_refcnt) == 0) {	\
 		kssl_free_entry((kssl_entry));				\
 	}								\
 }
--- old/usr/src/uts/common/inet/nca/nca.h	2014-07-28 07:44:29.589366900 -0400
+++ new/usr/src/uts/common/inet/nca/nca.h	2014-07-28 07:44:29.595477771 -0400
@@ -959,7 +959,7 @@
 #define	DCB_RD_EXIT(cpu) {						\
 	uint32_t *rp = &nca_gv[cpu].dcb_readers;			\
 									\
-	if (atomic_add_32_nv(rp, -1) == DCB_COUNT_USELOCK) {		\
+	if (atomic_dec_32_nv(rp) == DCB_COUNT_USELOCK) {		\
 		mutex_enter(&nca_dcb_lock);				\
 		if (CV_HAS_WAITERS(&nca_dcb_wait)) {			\
 			/* May be the last reader for this CPU */	\
--- old/usr/src/uts/common/inet/sadb.h	2014-07-28 07:44:29.828414795 -0400
+++ new/usr/src/uts/common/inet/sadb.h	2014-07-28 07:44:29.834341002 -0400
@@ -353,7 +353,7 @@
  */
 
 #define	IPSA_REFHOLD(ipsa) {			\
-	atomic_add_32(&(ipsa)->ipsa_refcnt, 1);	\
+	atomic_inc_32(&(ipsa)->ipsa_refcnt);	\
 	ASSERT((ipsa)->ipsa_refcnt != 0);	\
 }
 
@@ -368,7 +368,7 @@
 #define	IPSA_REFRELE(ipsa) {					\
 	ASSERT((ipsa)->ipsa_refcnt != 0);			\
 	membar_exit();						\
-	if (atomic_add_32_nv(&(ipsa)->ipsa_refcnt, -1) == 0)	\
+	if (atomic_dec_32_nv(&(ipsa)->ipsa_refcnt) == 0)	\
 		((ipsa)->ipsa_freefunc)(ipsa);			\
 }
 
--- old/usr/src/uts/common/inet/sctp/sctp.c	2014-07-28 07:44:30.023345376 -0400
+++ new/usr/src/uts/common/inet/sctp/sctp.c	2014-07-28 07:44:30.029326618 -0400
@@ -1756,7 +1756,7 @@
 	ASSERT(sctps->sctps_recvq_tq_list[
 	    sctps->sctps_recvq_tq_list_cur_sz] == NULL);
 	sctps->sctps_recvq_tq_list[sctps->sctps_recvq_tq_list_cur_sz] = tq;
-	atomic_add_32(&sctps->sctps_recvq_tq_list_cur_sz, 1);
+	atomic_inc_32(&sctps->sctps_recvq_tq_list_cur_sz);
 	mutex_exit(&sctps->sctps_rq_tq_lock);
 }
 
@@ -1783,7 +1783,7 @@
 	 * this loop.  The problem this will create is that the loop may
 	 * not have tried all the recvq_tq.  This should be OK.
 	 */
-	next_tq = atomic_add_32_nv(&sctps->sctps_recvq_tq_list_cur, 1) %
+	next_tq = atomic_inc_32_nv(&sctps->sctps_recvq_tq_list_cur) %
 	    sctps->sctps_recvq_tq_list_cur_sz;
 	for (try = 0; try < sctps->sctps_recvq_tq_list_cur_sz; try++) {
 		tq = sctps->sctps_recvq_tq_list[next_tq];
